<?php


namespace IPS\stickyelements\modules\admin\stickyelements;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * sidebar
 */
class _sidebar extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		
		parent::execute();
	}

	/**
	 * ...
	 *
	 * @return	void
	 */
	protected function manage()
	{
        $form = new \IPS\Helpers\Form;

		$themes = array();
		foreach( \IPS\Theme::themes() as $theme ) {
			$themes[ $theme->id ] = $theme->_title;
		}
		$form->add( new \IPS\Helpers\Form\Select( 'vxse_sidebarthemes', ( \IPS\Settings::i()->vxse_sidebarthemes ? explode( ',', \IPS\Settings::i()->vxse_sidebarthemes ) : '' ), FALSE, array( 'options' => $themes, 'multiple' => true ) ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxse_back', \IPS\Settings::i()->vxse_back, FALSE, array(), NULL, NULL, NULL, 'vxse_back' ) );

        if ( $values = $form->values() )
        {
            $form->saveAsSettings();
        }

        \IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack( 'Sticky Sidebar' );
        \IPS\Output::i()->output = $form;
	}
	// Create new methods with the same name as the 'do' parameter which should execute it
}